<template>
  <div>
    <!-- Navegador -->
 
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header height="250px" style="margin: 0 12rem;">
        <!-- Botón regresar -->
        <ReturnButton v-on:clickEvent="viewListSeries" title="Regresar" :offsetArrow="21" :spanTitle="2" class="text-end" style="margin-bottom: 2.5rem"></ReturnButton>
        <!-- Botón reposición -->
        <div class="text-end" style="margin-bottom: 1.5rem">
          <el-button @click="showEdit" class="bg-orange box-shadow text-white border-none fonts-bold-general">
            EDITAR
          </el-button>
        </div>
        <!-- Título -->
          <el-card :body-style="{ padding: '10px' }" shadow="never" class="bg-gray border-none title-views">
            <el-row type="flex" justify="space-between">
              <el-col :span="12">{{ material.originalTitle.toUpperCase() }}</el-col>
              <el-col :span="12" class="text-end">REVISADO POR: {{this.userLogin}}</el-col>
            </el-row>          
          </el-card>
      </el-header>
      <el-main style="margin: 0 12rem;">
        <el-row style="margin: 3rem 0">
          <el-col :span="10">
            <h3 class="text-orange" >DATOS DEL MATERIAL</h3>
          </el-col>
        </el-row>
        <el-row>
            <el-col :span="22" :offset="1">
              <h3  style="margin-bottom:2rem">TEMPORADAS DEL MATERIAL</h3>
                <div :offset="index % 2 !== 0 ? 2 : 0"
                v-for="(item, index) in material.numChapters" :key="index" class="box_tempo_mat">
                  <el-row style="margin: 0 0 1rem">
                    <el-col :span="4"  class="fonts-bold-general">Temporada</el-col>
                    <el-col :span="4" style="margin-bottom:0.6rem">{{item.season}}</el-col>
                  </el-row>
                  <el-row style="margin: 0 0 1rem">
                    <el-col :span="4" class="fonts-bold-general">N° de Capítulos</el-col>
                    <el-col :span="4" style="margin-bottom:0.6rem">{{item.chapters}}</el-col>
                  </el-row>
                  <el-row style="margin: 0 0 3rem">
                    <el-col :span="4" class="fonts-bold-general">Tipo de Capítulos</el-col>
                    <el-col :span="4" style="margin-bottom:0.6rem">{{item.TypeOfChapters}}</el-col>
                  </el-row>
                </div>
            </el-col>
            </el-row>
            <el-row>
                <el-col :span="11" :offset="1">
                  <h3  style="margin:2rem 0">CLASIFICACIÓN Y CALIFICACIÓN</h3>
                  <div>
                    <el-row>
                      <el-col :span="8" style="margin-bottom:0.6rem"><strong>Clasificación:</strong></el-col>
                      <el-col :span="10" style="margin-bottom:0.6rem">{{material.reviewObj.classification}}</el-col>
                    </el-row>
                    <el-row>
                      <el-col :span="8" style="margin-bottom:0.6rem"><strong>Calificacion:</strong></el-col>
                      <el-rate  v-model="material.reviewObj.score" disabled style="display: inline-block;"></el-rate>
                    </el-row>
                  </div>
                </el-col>
                <el-col :span="11" :offset="1">
                  <h3  style="margin:2rem 0">GÉNEROS DEL MATERIAL</h3>
                  <div>
                    <el-row>
                      <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.genre1}}</el-col>
                      <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.genre2}}</el-col>
                    </el-row>
                  </div>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="11" :offset="1">
                  <h3  style="margin:2rem 0">PROVEEDOR Y PRODUCCIÓN</h3>
                  <div>
                    <el-row>
                      <el-col :span="8" style="margin-bottom:0.6rem"><strong> Proveedor:</strong></el-col>
                      <el-col :span="10" style="margin-bottom:0.6rem">{{material.providerName}}</el-col>
                    </el-row>
                    <el-row>
                      <el-col :span="8" style="margin-bottom:0.6rem"><strong style="margin-bottom:0.5rem">Productora:</strong></el-col>
                      <el-col :span="10" style="margin-bottom:0.6rem">
                        <span v-for="(item, index) in material.reviewObj.arrProdCompany" :key="index"
                    style="margin-bottom:0.5rem">
                    {{item.prodCompany}}
                  </span>
                      </el-col>
                    </el-row>
                    <el-row>
                      <el-col :span="8"><strong>Año de Producción:</strong></el-col>
                      <el-col :span="10">{{material.reviewObj.yearProduction}}</el-col>
                    </el-row>
                  </div>
                </el-col>
                <el-col :span="11" :offset="1">
                  <h3  style="margin:2rem 0">ESTADO DE EMISIÓN</h3>
                  <div>
                    <el-row>
                      <el-col :span="13" style="margin-bottom:0.6rem">{{material.reviewObj.emissionStatus}} </el-col>
                    </el-row>
                  </div>
                </el-col>
            </el-row>
            <el-row style="margin: 3rem 0">
              <el-col :span="10">
                <h3 class="text-orange" >INFORMACIÓN ARTÍSTICA</h3>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="23" :offset="1">
                  <h3  style="margin-bottom:2rem">ACTORES PRINCIPALES Y SECUNDARIOS</h3>
                  <el-table style="width: 100%; margin: 2rem 0 3rem"
                    :data="material.reviewObj.artisticInfo"
                    :header-cell-class-name="tableRowClassName"
                    border>
                    <el-table-column
                      label="ACTORES PRINCIPALES">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.mainActors"
                          :key="index">
                          <p>{{ item }}</p>
                        </div>
                      </template>
                    </el-table-column>
                    <el-table-column
                      label="ACTORES SECUNDARIOS">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.secondActors"
                          :key="index">
                          <p>{{ item }}</p>
                        </div>
                      </template>
                    </el-table-column>
                    <el-table-column
                      label="DIRECCIÓN">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.director"
                          :key="index">
                          <p>{{ item }}</p>
                        </div>
                      </template>
                    </el-table-column>
                    <el-table-column
                      label="PRODUCCIÓN">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.producer"
                          :key="index">
                          <p>{{ item }}</p>
                        </div>
                      </template>
                    </el-table-column>
                  </el-table>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="23" :offset="1">
                  <h3  style="margin-bottom:2rem">TEMAS MUSICALES</h3>
                  <el-table style="width: 100%; margin: 2rem 0 3rem"
                    :data="material.reviewObj.arrMusicalThemes"
                    :header-cell-class-name="tableRowClassName"
                    border>
                    <el-table-column
                      prop="titleThemeSong"
                      label="TEMA">
                    </el-table-column>
                    <el-table-column
                      label="INTÉRPRETE">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.arrInterpreters"
                          :key="index">
                          <p>{{ item.name }}</p>
                        </div>
                      </template>
                    </el-table-column>
                    <el-table-column
                      label="COMPOSITOR">
                      <template slot-scope="scope">
                        <div style="margin-left: 10px"
                          v-for="(item, index) in scope.row.arrComposer"
                          :key="index">
                          <p>{{ item.name }}</p>
                        </div>
                      </template>
                    </el-table-column>
                    <el-table-column
                      prop="themeSong"
                      label="TEMA DE ENTRADA">
                    </el-table-column>
                    <el-table-column
                      prop="themeSong"
                      label="TEMA DE SALIDA">
                    </el-table-column>
                  </el-table>
          </el-col>
        </el-row>
      </el-main>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src

import ReturnButton from '@/components/ReturnButton.vue'

export default {
  components: {
    ReturnButton
  },
  data () {
    return {
      material: {},
      stateObs: 0,
      dialogTableVisible: false,
      previousInfor: {},
      userLogin: localStorage.getItem('userName'),
      reposicionMsg: 'En espera de Reposición',
      timeWithCred: '',
      timeWithoutCred: '',
      artisticInfo: [
        {
          mainActors: [],
          secondActors: [],
          directors: [],
          productors: [],
        }
      ],
      returnButtonModal: false
    }
  },
  created () {
    this.getTables()
    this.materialObj()
    if (this.material.reviewObj) {
      if(this.material.reviewObj.arrProdCompany.length > 0){
        this.prodCompanyEdit = this.material.reviewObj.arrProdCompany
      }
    } else {
      this.prodCompanyEdit = [{prodCompany: ""}]
    }
  },
  methods: {
    getTables () {
      let dataType = 'tables';
      this.$store.dispatch("getData", dataType);
    },
    materialObj () {
      this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
      console.log(JSON.parse(this.$localStorage.get("selectedMaterial")))
    },
    // materialObj () {
    //   this.material = JSON.parse(this.$localStorage.get("materialNovel"))
    //   let arrDirector = this.material.reviewObj.arrDirector;
    //   let mainActors = this.material.reviewObj.mainActors;
    //   let secondActors = this.material.reviewObj.secondActors;
    //   let producers = this.material.reviewObj.arrProducer;
    //   this.dataConverter(arrDirector,'directors')
    //   this.dataConverter(mainActors,'mainActors')
    //   this.dataConverter(secondActors,'secondActors')
    //   this.dataConverter(producers,'productors')
    // },
    showEdit() {
      this.$router.push({name: 'revSeries'})
    },

    dataConverter(propertyToConvert, propertyName){
      let newArr = []
      propertyToConvert.map((el,i,arr) => {
        newArr.push({name: el})
      })
      this.artisticInfo[0][propertyName] = newArr;
    },
    viewListSeries () {
      this.$router.push({name: 'series'})
    },
    tableRowClassName ({row, rowIndex}) {
      if (rowIndex === 0) {
        return 'bg-light-red';
      }
    }
  }
}
</script>